<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Netology - Functions in JavaScript. Homework</title>
</head>
<body>
	<script type="text/javascript">

	  // Сегодня мы печем пироги!
	  
	  // Вам нужно испечь по 10 пирогов каждого типа
	  // Можно использовать все знания, которые вы получили на наших лекциях

	  // Рецепты:
	  // Яблочный пирог (3 кг яблок, 2 кг. муки, 1 литр молока, 3 яйца)
	  // Клубничный пирог (5 кг клубники, 1 кг. муки, 2 литр молока, 4 яйца)
	  // Абрикосовый пирог (2 кг абрикос, 3 кг. муки, 2 литр молока, 2 яйца)
	  
	  // Запасы на складе
	  /*var apples = 20; // Яблоки, кг
	  var strawberry = 20; // Клубника - 75 р/кг
	  var apricot = 20; // Абрикос - 35 р/кг
	  var flour = 20; // Мука - 10 р/кг
	  var milk = 20; // Молоко - 15 р/литр
	  var eggs = 50; */// Яйца - 3 р/шт
	  var applePie = 0; // количество яблочных пирогов, которое испекли.
	  var strawberryPie = 0; // количество клубничных пирогов, которое испекли.
	  var apricotPie = 0; // количество абрикосовых пирогов, которое испекли.
	
 
var ingridients = [['apples',20],['strawberry',20],['apricot',20],['flour',20],['milk',20],['eggs',50]];
var recipieApplePie = [['apples',3],['flour',2],['milk',1],['eggs',3]];
var recipieStrawberryPie = [['strawberry',5],['flour',1],['milk',2],['eggs',4]];
var recipieApricotPie = [['apricot',2],['flour',3],['milk',2],['eggs',2]];

function addIngridients(){
	  if (ingridients[3][1] <= 0) {
		 ingridients[3][1]+=10;
		 console.log('Кончилась мука! Купили еще 10 кг<br/>');
	  }
	  else if (ingridients[4][1] <= 0) {
		 ingridients[4][1]+=10;
		 console.log('Кончилось молоко! Купили еще 10 литров<br/>');
	  } 
	  else if (ingridients[5][1] <= 0) {
		 ingridients[5][1]+=10;
	  	 console.log('Кончились яйца! Купили еще 10 штук<br/>');
	  }
}

function makePies(numberOfPies,namePie,recipie){
	if (namePie === applePie && recipie === recipieApplePie){ 
		for(var i=1; i <= numberOfPies; i++){  
			ingridients[0][1]-=recipieApplePie[0][1];
		 	ingridients[3][1]-=recipieApplePie[1][1];
		 	ingridients[4][1]-=recipieApplePie[2][1];
		 	ingridients[5][1]-=recipieApplePie[3][1];
	 	 	applePie++;	  
		 	if (ingridients[0][1] <=0 ) {  
		   	ingridients[0][1]+=10;
		   	console.log('Кончились яблоки! Купили еще 10 кг<br/>');
		  	}
		   addIngridients();	 
		}
	document.write('Остаток яблок на складе: '+ ingridients[0][1] + '<br />Остаток абрикосов на складе: '+ ingridients[2][1] +'<br />Остаток клубники на складе: '+ ingridients[1][1] +'<br/>Остаток яиц на складе: '+ ingridients[5][1] + '<br/>'+'Остаток муки на складе: '+ ingridients[3][1] + '<br/>Остаток молока на складе: '+ ingridients[4][1] + '<br/><hr>' +'Итого мы напекли '+ applePie +' яблочных пирогов:<br /><br />');
	}	
	else if (namePie === strawberryPie && recipie === recipieStrawberryPie){
		for(var i=1; i <= numberOfPies; i++){ 
			ingridients[1][1]-=recipieStrawberryPie[0][1];
			ingridients[3][1]-=recipieStrawberryPie[1][1];
			ingridients[4][1]-=recipieStrawberryPie[2][1];
			ingridients[5][1]-=recipieStrawberryPie[3][1];
			strawberryPie++;	  		  	
			if (ingridients[1][1]<=0) {  
				ingridients[1][1]+=10;
				console.log('Кончилась клубника! Купили еще 10 кг<br/>');
			}
			addIngridients();
		}	 	 	 
	document.write('Остаток яблок на складе: '+ ingridients[0][1] + '<br />Остаток абрикосов на складе: '+ ingridients[2][1] +'<br />Остаток клубники на складе: '+ ingridients[1][1] +'<br/>Остаток яиц на складе: '+ ingridients[5][1] + '<br/>'+'Остаток муки на складе: '+ ingridients[3][1] + '<br/>Остаток молока на складе: '+ ingridients[4][1] + '<br/><hr>' +'Итого мы напекли '+ strawberryPie +' клубничных пирогов<br /><br />');
	}
	else if (namePie === apricotPie && recipie === recipieApricotPie){	
		for(var i=1; i <= numberOfPies; i++) {
			ingridients[2][1]-=recipieApricotPie[0][1];
			ingridients[3][1]-=recipieApricotPie[1][1];
			ingridients[4][1]-=recipieApricotPie[2][1];
			ingridients[5][1]-=recipieApricotPie[3][1];
			apricotPie++;
			if (ingridients[2][1]<=0) {  
				ingridients[2][1]+=10;
				console.log('Кончились абрикосы! Купили еще 10 кг<br/>');
			}
			addIngridients();
		}
	document.write('Остаток яблок на складе: '+ ingridients[0][1] + '<br />Остаток абрикосов на складе: '+ ingridients[2][1] +'<br />Остаток клубники на складе: '+ ingridients[1][1] +'<br/>Остаток яиц на складе: '+ ingridients[5][1] + '<br/>'+'Остаток муки на складе: '+ ingridients[3][1] + '<br/>Остаток молока на складе: '+ ingridients[4][1] + '<br/><hr>' +'Итого мы напекли '+ apricotPie +' абрикосовых пирогов<br /><br />');
	}
	else{
		document.write('<br />Таких фруктов нет ');
	}
}

makePies(10, apricotPie, recipieApricotPie);
makePies(10, strawberryPie, recipieStrawberryPie);
makePies(10, applePie, recipieApplePie);


 
	  
/*Напишите функцию sumTo(n), которая для данного n вычисляет сумму чисел от 1 до n, 
например: sumTo(3) = 1 + 2 + 3, sumTo(2) = 1 + 2 и т.п.*/  

/* Решение с помощью цикла */

function sumTo(n){
var sum = 0;
	if (isNaN(n)) {
		alert('Так это же не число... Вы можете перезагрузить страницу и ввести число..');
	}
	else{
		for(var i=1; i <= n; i++){
			sum+=i;	
		}
		alert('Сумма чисел от 1 до ' + n + ' равна ' + sum);	
	}
}
sumTo(prompt('Введите число: ')); 	  



/*Решение с помощью рекурсии */	  

function sumTo2(n){
  if (n != 0){
    return n + sumTo2(n-1);
  }
  else
     return n;
}
//alert(sumTo2(5));	  
	  
	  

	</script>
</body>



</html>
